Bug 157663 - CVE-2004-1808 metamail symlink attack
CVE-2004-1808 metamail symlink attack
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: metamail (Show other bugs)
2.1
All Linux
medium Severity low
: ---
: ---
Assigned To: Nalin Dahyabhai
impact=low,public=20040512,source=deb...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-05-13 11:29 EDT by Josh Bressers
Modified: 2009-06-01 04:58 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-01 04:58:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2005-05-13 11:29:11 EDT
Extcompose in metamail does not verify the output file before writing to it,
which allows local users to overwrite arbitrary files via a symlink attack.

http://archives.neohapsis.com/archives/bugtraq/2004-03/0118.html
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=308875
Comment 1 Mark J. Cox (Product Security) 2009-06-01 04:58:49 EDT
Low severity, won't fix, EOL

Note You need to log in before you can comment on or make changes to this bug.